Summary: Fam, the File Alteration Monitor
Name: fam
Version: 2.6.4
Release: 6mdk
Group: Monitoring
License: GPL/LGPL
URL: http://oss.sgi.com/projects/fam/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ftp://oss.sgi.com/projects/fam/download/fam-oss-%{version}.tar.bz2
# (fc) 2.6.4-5mdk use dnotify kernel service (Rawhide)
Patch0: fam_dnotify.patch.bz2
# (fc) 2.6.4-5mdk don't try to modify system files (Rawhide)
Patch1: fam_build.patch.bz2
# (fc) 2.6.4-6mdk fix credentials when several different users connect to fam 
Patch2: fam-2.6.4-creds.patch.bz2
Requires: xinetd >= 2.1.8.9pre15-2mdk portmap

%description
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

fam works best if your kernel has imon.  (Otherwise, it has to poll the
filesystem instead of being notified as operations are performed on the
files it's monitoring.)  See http://oss.sgi.com/projects/fam/ for more
information on fam and imon.

%package devel

Summary:	Libraries and headers for FAM
Group:		Development/C
Requires:	%{name} = %{version}


%description devel
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains headers and libraries to develop applications 
which use fam.

%prep
%setup -n fam-oss-%{version} -q
%patch0 -p 1 -b .dnotify
%patch1 -p 1 -b .build
%patch2 -p 1 -b .creds

#needed by patch 0 & 1
aclocal
automake
libtoolize --force
autoconf


%build
%serverbuild
%configure
%make

%install
make DESTDIR="$RPM_BUILD_ROOT" install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/

cat <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/fam
# default: on
# description: FAM is a file monitoring daemon. It can \
# be used to get reports when files change.

service sgi_fam
{
    disable             = no
    type                = RPC UNLISTED
    rpc_version         = 2
    rpc_number          = 391002
    socket_type         = stream
    protocol            = tcp
    wait                = yes
    user                = root
	group				= nobody
    server              = /usr/bin/fam
	bind				= 127.0.0.1
}

EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
%_post_service xinetd

%preun
%_post_service xinetd

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL INSTALL.rpm README TODO
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%config(noreplace) %{_sysconfdir}/fam.conf
%{_bindir}/fam
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man3/*

%changelog
* Tue Sep 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-6mdk
- Add dependency on portmap
- Patch2 (rawhide): fixes problem when several different users connect to fam.
- Update patch0 with latest rawhide patch

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-5mdk
- Add description and change rpc_version used by fam (workaround for xinetd bug)

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-4mdk
- Sync with Rawhide spec :
 - no longer modify /etc/rpc
 - patch 0: replace by dnotify support
 - patch 1: don't touch system file at compilation stage


* Tue Jun 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-3mdk
- Add requires on xinetd

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-2mdk
- Add script command to modify /etc/rpc

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-1mdk
- Patch0: compile with latest gcc/glibc
- First Mandrake package
